Subject: Re: [PATCH] mb862xx: Restrict compliation of platform driver to PPC

From: Anatolij Gustschin <[email-masked]>
Date: Fri, 23 Jan 2009 11:31:40 +0100

Julian Calaby wrote:
> On Tue, Jan 20, 2009 at 12:19, Anton Vorontsov <[email-masked]> wrote:
>> Should be Anatolij. ;-)
> 
> Who is the first person on the list, I guess he's missed this or isn't
> reading his email.

I missed this, sorry.

> Before we commit to fixing this properly, is it really worth it? Is
> this hardware ever likely to be used with SPARC?

I don't think it will ever be used with SPARC, so your patch is Ok.

> Given that there are PCI and OF versions of the driver, it seems to me
> that this is available as a PCI expansion card, and as a graphics chip
> built into some PPC motherboards. The initial commit says: "Lime GDC
> support is known to work on PPC440EPx based lwmon5 and MPC8544E based
> socrates embedded boards, both equipped with Lime GDC." so I'm
> guessing that this graphics chip is designed for embedded boards. I
> can find references to it's use in embedded automotive applications on
> Google but I can't find any reference to the Fujitsu LIME (MB86276)
> and SPARC on Google.

If LIME chip should ever be used with SPARC, support for this
could be added later. LIME doesn't have PCI interface, it is
connected to the host cpu bus. PCI version of the driver is for
CoralP and Carmine chips which have PCI interface.

Anatolij